
  
  function onClickDisplayToggleCheckBox(e, sDisplayWhenTriggeredControlIDs, sDisplayWhenNotCheckedControlIDs)
  {
    // get the CheckBox that fired the event
    var oElem = _GetSrcElement(e);

    if (oElem != null)
    {
      // get arrays of both Checked and Not Checked Control IDs
      var arrCheckedControls = sDisplayWhenTriggeredControlIDs.split(",");
      var arrNotCheckedControls = sDisplayWhenNotCheckedControlIDs.split(",");
    
      // set the display of the Checked Controls 
      for (var i = 0; i < arrCheckedControls.length; i++)
      {
        var oCheckedControl = document.getElementById(arrCheckedControls[i]);
        
        if (oCheckedControl && oCheckedControl.style) 
        {
          oCheckedControl.style.display = (oElem.checked) ? "" : "none";
        }  
      }
      
      // set the display of the NotChecked controls
      for (var i = 0; i < arrNotCheckedControls.length; i++)
      {
        // get the Controls that we are hiding when checked
        var oNotCheckedControl = document.getElementById(arrNotCheckedControls[i]);
        
        if (oNotCheckedControl && oNotCheckedControl.style) 
        {
          oNotCheckedControl.style.display = (oElem.checked) ? "none" : "";
        }  
      }
    }  
  }


  function _GetSrcElement(e)
  {
    // IE only
    if (window.event)
    {
      return (window.event.srcElement);
    }
    else if (e.target)  // Firefox, etc
    {
      var node = e.target;

      // in Firefox the nodes of type text can also fire events, 
      //  so to keep things working you need to climb up the tree 
      //  until you find a element's (i.e. HTML tag's) node: 
      while(node.nodeType != node.ELEMENT_NODE)
	      node = node.parentNode;

      return node;
    }
  }


