﻿<%@ Page Language="C#" AutoEventWireup="true"  
CodeFile="FindControl.aspx.cs" 
Inherits="r2musings.Presentations.Generics101.FindControl" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Generic Methods Test Page</title>
    <link href="~/css/styles.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
      <asp:Panel ID="pnlRequestType" runat="server">        
      <div class="section-title-bar">
        <span class="title">Request Type</span><span class="subtitle">(REQUIRED - select all that apply)</span>
      </div>
      <div class="full-width-row">
        <asp:CustomValidator ID="valRequestType" runat="server" CssClass="validation" 
        Display="Dynamic" ErrorMessage="Required - You must select at least one Request Type<br /><br />" 
        OnServerValidate="valRequestType_ServerValidate" SetFocusOnError="true" 
        ClientValidationFunction="ValidateRequestType"></asp:CustomValidator>
       
        <asp:CheckBox ID="chkAddCarrier" runat="server" Text="Add Carrier" /><br />
        <asp:CheckBox ID="chkChangeAddress" runat="server" Text="Address Change" Checked="false"/><br />
        <asp:CheckBox ID="chkChangePhone" runat="server" Text="Add/Change Carrier Customer Service Phone Number" /><br />
        <asp:CheckBox ID="chkBulkCheckResearch" runat="server" Text="Bulk Check Research/Maintenance" /><br />
        <asp:CheckBox ID="chkAssumingCarrier" runat="server" Text="Carrier Acquisition or Policy Assumption" /><br />
        <asp:CheckBox ID="chkChangeName" runat="server" Text="Carrier Name Change" /><br />
        <asp:CheckBox ID="chkBulletinUpdate" runat="server" Text="Carrier Update Bulletin Requested"/><br />
        <asp:CheckBox ID="chkDeactivate" runat="server" Text="Deactivate Carrier" /><br />
        <asp:CheckBox ID="chkDescrChange" runat="server" Text="Description Change" /><br />
        <asp:CheckBox ID="chkRateChange" runat="server" Text="Rate Change" /><br />
        <asp:CheckBox ID="chkReinsuranceReview" runat="server" Text="Reinsurance Review" /><br />
        <asp:CheckBox ID="chkOther" runat="server" Text="Other" /><br />
      </div>
      </asp:Panel> 
    
       <asp:Panel ID="pnlToolbar" CssClass="toolbar" runat=server>
        <ul>
          <li>
            <asp:LinkButton ID="btnSubmit" runat="server" CausesValidation="true" Text="Submit" />
          </li>
          <li>
            <asp:LinkButton	ID="btnReset" runat="server" Text="Reset" OnClientClick="document.forms[0].reset();return false;"/>
          </li>
        </ul>
      </asp:Panel>
      
      <asp:Label ID="lblTimestamp" runat="server"></asp:Label>

    </div>
    </form>
</body>
</html>
